%global rpm_name koji-fedoramessaging-messages
%global pypi_name koji_fedoramessaging_messages
%global pypi_version 1.1.0

Name:           python-%{rpm_name}
Version:        1.1.0
Release:        1%{?dist}
Summary:        A schema package for messages sent by the koji-fedoramessaging plugin

License:        None
URL:            https://github.com/fedora-infra/koji-fedoramessaging-messages
Source0:        koji_fedoramessaging_messages-1.1.0.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(fedora-messaging) >= 3.0.1
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)

%description
 koji-fedoramessaging messagesA schema package for [koji-fedoramessaging]( the
[detailed documentation]( on packaging your schemas.

%package -n     python3-%{rpm_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{rpm_name}}

Requires:       python3dist(fedora-messaging) >= 3.0.1
Requires:       python3dist(setuptools)
%description -n python3-%{rpm_name}
 koji-fedoramessaging messagesA schema package for [koji-fedoramessaging]( the
[detailed documentation]( on packaging your schemas.


%prep
%autosetup -n koji_fedoramessaging_messages-1.1.0

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m pytest -v %{pypi_name}/tests/

%files -n python3-%{rpm_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Fri May 05 2023 Aurélien Bompard <aurelien@bompard.org> - 1.1.0-1
- Version 1.1.0
